services:
  collectd:
    build:
      context: /home/user/src
      dockerfile: /opt/collectd/Dockerfile
    container_name: collectd
    image: collectd:bookworm
    privileged: true
    restart: unless-stopped
    volumes:
      - /opt/collectd/etc:/etc/collectd
      - /opt/collectd/var:/var/lib/collectd
      - /opt/collectd/usr:/host/usr
      - /:/host/root:ro
      - /media/data:/media/data:ro
      - /var/lib/docker:/media/docker:ro
      - /dev/mapper:/dev/mapper
    extra_hosts:
      - host:192.168.2.200
